#include "pch.h"

#pragma once
#include <BWAPI.h>

#include "../Source/BWEM/src/bwem.h";
#include "../Source/Util.h";

using namespace BWAPI;

namespace MilitaryTest
{
	TEST(MilitaryTest, DISABLED_addSquadlessUnits)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_checkAttack)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_checkDefense)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_checkEnemiesAt)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_checkSquads)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_getAttackLocation)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_getBaseDefense)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_getClosestSquad)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_getIdleSquad)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_getMostVulnerableBase)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_inThreatRange)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_isThreatened)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_likelihoodToAttack)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_sendDefense)
	{
		EXPECT_EQ(0, 0);
	}

	TEST(MilitaryTest, DISABLED_shouldAttackNonMaxed)
	{
		EXPECT_EQ(0, 0);
	}
}